commit:     9b9c50949dcffcd5f08a5e4e48672d68bca3a32a
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Thu Apr  5 07:50:30 2018 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Thu Apr  5 08:34:00 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b9c5094

www-apps/nextcloud: 12.0.6 and 13.0.1 bumps

Closes: https://bugs.gentoo.org/651284
Package-Manager: Portage-2.3.28, Repoman-2.3.9

 www-apps/nextcloud/Manifest                |  2 ++
 www-apps/nextcloud/nextcloud-12.0.6.ebuild | 42 ++++++++++++++++++++++++++++++
 www-apps/nextcloud/nextcloud-13.0.1.ebuild | 40 ++++++++++++++++++++++++++++
 3 files changed, 84 insertions(+)

diff --git a/www-apps/nextcloud/Manifest b/www-apps/nextcloud/Manifest
index 81ec8aabf47..395fa3c804c 100644
--- a/www-apps/nextcloud/Manifest
+++ b/www-apps/nextcloud/Manifest
@@ -1,2 +1,4 @@
 DIST nextcloud-12.0.5.tar.bz2 43704324 BLAKE2B 
92b4569b3fc29f33a9c8163f34b7119081a48c657bd9383d0d656f9c66a240339889288c8c4e9936dd884b7436574ab501b1022251f743ecf5f00bf1e9ec7c20
 SHA512 
6a07384fef1ca57e82c5867c7f4898b9dcc94bd99d25ea49cf44606833e0045f9503f2c9256b71845603bd7b911fdabea39e1bebe8cddb69d9d752c69101bc27
+DIST nextcloud-12.0.6.tar.bz2 44300816 BLAKE2B 
9ce2426653cb57e7b933f918e531d02f2da9bb0da2e0fc7d6abd7f6c895f29d582b89202f6476a3592b76c46d0c70fe31d914377449ce5bb8d4c4fd4c54b3e7b
 SHA512 
28058d1c66f1d6c6188b303f8035763582229a82facd6732ac60e7a40dbd0a1b66ca1235d2854a254e0ae5af7923c0df75db9f9e95b3b24ed61a09789ae00c18
 DIST nextcloud-13.0.0.tar.bz2 43397247 BLAKE2B 
21d41e09fe97135e1eee76b14cc5ffe2f0389ee00cfdf84eb38a83bfcbdd7b915114d54fa20e54b1b08f5a59bec88c6708eb68f37752afc710fd864f73607ad0
 SHA512 
c2a3be174b43b27667c3e1894a942d4dd77c29a4e043cbb0c7d7f516aa299b83dc4869c7b3cc08b353b1298e3ac06598c9d192506ea218a5490250cd1c48e369
+DIST nextcloud-13.0.1.tar.bz2 44183890 BLAKE2B 
f97eed503f7dd6cf641d2a2d5dadb200031c510f3e86f1b9ec8ad47e8f1b5d314b02ea8714232f89eb7a8617450f10a6970d97fbca8ae2d0b8641b28baf33a2c
 SHA512 
dac798a36d18b94a2d5287e2cb0eb06352635099e0c808b1cdb0ecb76f3d1e771a85cafb35597b23fcb77b9e36a57a25a361413f798b3dbd13d0a0255ec5cbe1

diff --git a/www-apps/nextcloud/nextcloud-12.0.6.ebuild 
b/www-apps/nextcloud/nextcloud-12.0.6.ebuild
new file mode 100644
index 00000000000..b5b260e2057
--- /dev/null
+++ b/www-apps/nextcloud/nextcloud-12.0.6.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Personal cloud that runs on your own server"
+HOMEPAGE="http://nextcloud.com";
+SRC_URI="http://download.nextcloud.com/server/releases/${P}.tar.bz2";
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="<dev-lang/php-7.2[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+       <virtual/httpd-php-7.2"
+
+PATCHES=( "${FILESDIR}"/${PN}-12.0.4-destroy_modal_when_closed.patch )
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+       webapp_pkg_setup
+}
+
+src_install() {
+       webapp_src_preinst
+
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+       dodir "${MY_HTDOCSDIR}"/data
+
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+       webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+       webapp_src_install
+}

diff --git a/www-apps/nextcloud/nextcloud-13.0.1.ebuild 
b/www-apps/nextcloud/nextcloud-13.0.1.ebuild
new file mode 100644
index 00000000000..f7e6255e645
--- /dev/null
+++ b/www-apps/nextcloud/nextcloud-13.0.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Personal cloud that runs on your own server"
+HOMEPAGE="http://nextcloud.com";
+SRC_URI="http://download.nextcloud.com/server/releases/${P}.tar.bz2";
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+       virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+       webapp_pkg_setup
+}
+
+src_install() {
+       webapp_src_preinst
+
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+       dodir "${MY_HTDOCSDIR}"/data
+
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+       webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+       webapp_src_install
+}

Reply via email to